[Pkg-nagios-changes] [pkg-nagios-plugins] 264/413: add patches for check_disk_smb
Jan Wagner
waja at moszumanska.debian.org
Tue Nov 26 23:13:30 UTC 2013
This is an automated email from the git hooks/post-receive script.
waja pushed a commit to branch master
in repository pkg-nagios-plugins.
commit 604166c36e9097a0fd2e0a26cc0962ad2e2f6bf2
Author: Jan Wagner <waja at cyconet.org>
Date: Tue Nov 30 11:50:44 2010 +0000
add patches for check_disk_smb
---
debian/changelog | 5 +++-
debian/patches/00list | 4 ++-
debian/patches/10_check_disk_smb_spaces.dpatch | 29 ++++++++++++++++++++++
...1_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch | 28 +++++++++++++++++++++
4 files changed, 64 insertions(+), 2 deletions(-)
diff --git a/debian/changelog b/debian/changelog
index b91cb48..725187e 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
nagios-plugins (1.4.15-3) UNRELEASED; urgency=low
- * NOT RELEASED YET
+ * Add 10_check_disk_smb_spaces.dpatch from upstream svn (Closes: #601699),
+ thanks to Adam Buchbinder
+ * Add 11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch from upstream svn
+ (Closes: #601696), thanks to Adam Buchbinder
-- Jan Wagner <waja at cyconet.org> Thu, 23 Sep 2010 11:24:55 +0200
diff --git a/debian/patches/00list b/debian/patches/00list
index 379211d..ba76e44 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -1,4 +1,6 @@
01_subst.in.dpatch
02_check_icmp_links.dpatch
-05_check_linux_raid_fix_striped.dpatch
# commited upstream
+05_check_linux_raid_fix_striped.dpatch
+10_check_disk_smb_spaces.dpatch
+11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch
diff --git a/debian/patches/10_check_disk_smb_spaces.dpatch b/debian/patches/10_check_disk_smb_spaces.dpatch
new file mode 100644
index 0000000..5d65732
--- /dev/null
+++ b/debian/patches/10_check_disk_smb_spaces.dpatch
@@ -0,0 +1,29 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 10_check_disk_smb_spaces.dpatch by
+## Matthias Eble <psychotrahe at users.sourceforge.net>
+##
+## From 0892c4ac28c4c2e3b6275187f845813b4cd6d320 Mon Sep 17 00:00:00 2001
+## From: Matthias Eble <psychotrahe at users.sourceforge.net>
+## Date: Sun, 28 Nov 2010 21:35:59 +0100
+## Subject: [PATCH] Make check_disk_smb accept spaces in share names
+## (#990948, #1370031, Debian #601699)
+##
+## DP: Enables Support sharenames with spaces (http://bugs.debian.org/601699)
+## DP: Upstream bug is: http://sourceforge.net/tracker/?func=detail&aid=990948&group_id=29880&atid=397597
+
+ at DPATCH@
+
+diff --git a/plugins-scripts/check_disk_smb.pl b/plugins-scripts/check_disk_smb.pl
+index 7c81fc2..4698700 100755
+--- a/plugins-scripts/check_disk_smb.pl
++++ b/plugins-scripts/check_disk_smb.pl
+@@ -67,7 +67,7 @@ my $host = $1 if ($opt_H =~ /^([-_.A-Za-z0-9 ]+\$?)$/);
+ ($host) || usage("Invalid host: $opt_H\n");
+
+ ($opt_s) || ($opt_s = shift @ARGV) || usage("Share volume not specified\n");
+-my $share = $1 if ($opt_s =~ /^([-_.A-Za-z0-9]+\$?)$/);
++my $share = $1 if ($opt_s =~ /^([-_.A-Za-z0-9 ]+\$?)$/);
+ ($share) || usage("Invalid share: $opt_s\n");
+
+ defined($opt_u) || ($opt_u = shift @ARGV) || ($opt_u = "guest");
+
diff --git a/debian/patches/11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch b/debian/patches/11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch
new file mode 100644
index 0000000..811da8b
--- /dev/null
+++ b/debian/patches/11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch
@@ -0,0 +1,28 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 11_check_disk_smb_NT_STATUS_ACCESS_DENIED.dpatch by
+## Matthias Eble <psychotrahe at users.sourceforge.net>
+##
+## From 3c67c9cb60a4681a29e509fccbb333e0f6234f54 Mon Sep 17 00:00:00 2001
+## From: Matthias Eble <psychotrahe at users.sourceforge.net>
+## Date: Sun, 28 Nov 2010 21:43:48 +0100
+## Subject: [PATCH] check_disk_smb now handles NT_STATUS_ACCESS_DENIED properly
+## (Debian #601696)
+##
+## DP: Handles NT_STATUS_ACCESS_DENIED properly (http://bugs.debian.org/601696)
+
+ at DPATCH@
+
+diff --git a/plugins-scripts/check_disk_smb.pl b/plugins-scripts/check_disk_smb.pl
+index 4698700..6783543 100755
+--- a/plugins-scripts/check_disk_smb.pl
++++ b/plugins-scripts/check_disk_smb.pl
+@@ -239,7 +239,7 @@ if (/\s*(\d*) blocks of size (\d*)\. (\d*) blocks available/) {
+ $answer = "Result from smbclient not suitable\n";
+ $state = "UNKNOWN";
+ foreach (@lines) {
+- if (/(Access denied|NT_STATUS_LOGON_FAILURE)/) {
++ if (/(Access denied|NT_STATUS_LOGON_FAILURE|NT_STATUS_ACCESS_DENIED)/) {
+ $answer = "Access Denied\n";
+ $state = "CRITICAL";
+ last;
+
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-nagios/pkg-nagios-plugins.git
More information about the Pkg-nagios-changes
mailing list